Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util
Class SimpleParser

    java.lang.Object
      org.encog.util.SimpleParser

    public class SimpleParser

extends Object

Constructor Summary
`SimpleParser(String line)`

Method Summary
`void` | `advance()`
`void` | `advance(int p)`
`void` | `eatWhiteSpace()`
`boolean` | `eol()`
`String` | `getLine()`
`boolean` | `isIdentifier()`
`boolean` | `isWhiteSpace()`
`boolean` | `lookAhead(String c)`
`boolean` | `lookAhead(String str, boolean ignoreCase)`
`void` | `mark()`
`boolean` | `parseThroughComma()`
`char` | `peek()`
`char` | `readChar()`
`String` | `readQuotedString()`
`String` | `readToChars(String chs)`
`String` | `readToWhiteSpace()`
`int` | `remaining()`
`void` | `reset()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleParser

    public SimpleParser(String line)

Method Detail

### remaining

    public int remaining()

### parseThroughComma

    public boolean parseThroughComma()

### isIdentifier

    public boolean isIdentifier()

### peek

    public char peek()

### advance

    public void advance()

### isWhiteSpace

    public boolean isWhiteSpace()

### eol

    public boolean eol()

### eatWhiteSpace

    public void eatWhiteSpace()

### readChar

    public char readChar()

### readToWhiteSpace

    public String readToWhiteSpace()

### lookAhead

    public boolean lookAhead(String str,
                             boolean ignoreCase)

### advance

    public void advance(int p)

### mark

    public void mark()

### reset

    public void reset()

### readQuotedString

    public String readQuotedString()

### readToChars

    public String readToChars(String chs)

### getLine

    public String getLine()

### lookAhead

    public boolean lookAhead(String c)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.